Skip to content

Get all rights ​

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get all rights of the current user pool

Method name ​

ManagementClient.get_all_rights_item

Request parameters ​

NameTypeRequiredDefault valueDescriptionSample value

Request Response ​

Type: CostGetAllRightItemRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringdescription
apiCodenumberSegmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a RightItemResResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "rightsItems": {
      "rightsModelCode": "SocialConnections",
      "rightsModelName": "SocialConnections",
      "dataType": "1: Quantity type, 2: Digital read-only, no measurement, 3: Assertion type, 4: String read-only",
      "dataValue": "0"
    }
  }
}

Data Structure ​

RightItemRes ​

NameTypeIs it requiredDescriptionSample value
rightsItemsarrayYesResponse data Nested type: <a RightItemDto.

RightItemDto ​

NameTypeIs it required?DescriptionSample value
rightsModelCodestringYesRights codeSocialConnections
rightsModelNamestringYesRights nameSocialConnections
dataTypestringYesRights data type1: Quantity type, 2: Number read-only, no measurement, 3: Assertion type, 4: String read-only
dataValuestringYesRights value0